Page MenuHomePhabricator

HD-versions of the dewiki-logos
Closed, ResolvedPublic

Description

Hello,

please add HD-logos for the dewp analogue to T131033. You can find a discussion about at Wikipedia_Diskussion:Hauptseite#Logo_Wikipedia_als_SVG.

I created two files in 1.5x and 2x. The files were made similar to the Task mentioned above. If you need any other help from my side, please ask.

Sincerely,
DaB.


Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd HD versions of logo for dewiki

Event Timeline

DaBPunkt created this task.Apr 15 2016, 3:20 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptApr 15 2016, 3:20 PM

While it’s trivial, following the patch for the InitialiseSettings (I patched against HEAD).

--- InitialiseSettings.php.org  2016-04-15 17:27:32.000000000 +0200
+++ InitialiseSettings.php      2016-04-15 17:29:51.074026181 +0200
@@ -1130,6 +1130,7 @@
        //'cswiki' => array( '1.5x' => '/static/images/project-logos/cswiki-1.5x.png', '2x' => '/static/images/project-logos/cswiki-2x.png' ), // T130392
        'enwiki' => array( '1.5x' => '/static/images/project-logos/enwiki-1.5x.png', '2x' => '/static/images/project-logos/enwiki-2x.png' ),
        'dawiki' => array( '1.5x' => '/static/images/project-logos/dawiki-1.5x.png', '2x' => '/static/images/project-logos/dawiki-2x.png' ), // T131033
+       'dewiki' => array( '1.5x' => '/static/images/project-logos/dewiki-1.5x.png', '2x' => '/static/images/project-logos/dewiki-2x.png' ), // T132792
        'fawiki' => array( '1.5x' => '/static/images/project-logos/fawiki-1.5x.png', '2x' => '/static/images/project-logos/fawiki-2x.png' ),
        'frwiki' => array( '1.5x' => '/static/images/project-logos/frwiki-1.5x.png', '2x' => '/static/images/project-logos/frwiki-2x.png' ),
        'ilowiki' => array( '1.5x' => '/static/images/project-logos/ilowiki-1.5x.png', '2x' => '/static/images/project-logos/ilowiki-2x.png' ),

Change 283682 had a related patch set uploaded (by Urbanecm):
Add HD versions of logo for dewiki

https://gerrit.wikimedia.org/r/283682

Urbanecm claimed this task.Apr 15 2016, 4:08 PM
Urbanecm triaged this task as Medium priority.
Urbanecm added a subscriber: Urbanecm.

Due to master datacenter switching the first available SWAT window is on April 25. During week of April 18 everything is cancelled. So I scheduled it for April 25 Morning SWAT window (17:00 - 18:00 CEST) when it should be deployed.

It seems there is a white dot on the SVG version (or at least on the
two PNG offered) at the junction of the two V of the W.

Urbanecm added a comment.EditedApr 16 2016, 11:24 AM

@Dereckson I think that they used File:Wikipedia-logo-v2-de.svg on Commons and it seems that there is one white dot too. Thanks for catching.

DaBPunkt added a comment.EditedApr 16 2016, 1:24 PM

@Dereckson Yes, thanks for catching.

I fixed the SVG and following you find two new pngs.

It looks ok now so I fixed it in Gerrit. Thanks for the fix.

Dereckson added a comment.EditedApr 16 2016, 4:45 PM

Phabricator is helpful here: when you click on the files you've attached in comments, they open on a transparent dark gray background. So we can see both white glitches and black glitches.

Optipng

@Urbanecm When you add or replace static/ files, run optipng -o7 on each file to optimize them. See http://optipng.sourceforge.net/. I've done it here in PS4.

$ git review -d 283682
$ optipng -o7 static/images/project-logos/dewiki-1.5x.png
** Processing: static/images/project-logos/dewiki-1.5x.png
204x234 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 35777 bytes
Input file size = 35956 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 30908
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 30804
                               
Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 30804

Output IDAT size = 30804 bytes (4973 bytes decrease)
Output file size = 30935 bytes (5021 bytes = 13.96% decrease)

$ optipng -o7 static/images/project-logos/dewiki-2x.png                                              
** Processing: static/images/project-logos/dewiki-2x.png
270x310 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 54341 bytes
Input file size = 54544 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 46245
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 46145
                               
Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 46145

Output IDAT size = 46145 bytes (8196 bytes decrease)
Output file size = 46276 bytes (8268 bytes = 15.16% decrease)

@Dereckson Thanks for advice. I'll remember it. By the way, do we have some documentation of code style in mediawiki-config repo so I'll be able to read it and don't ask the others? Something like https://wikitech.wikimedia.org/wiki/Puppet_coding in Coding Style chapter.

Dereckson added a comment.EditedApr 16 2016, 9:48 PM

We follow the main MediaWiki PHP style guide.

There is probably one addition: the // Txxxx to note a reference to the relevant task.

Optipng
@Urbanecm When you add or replace static/ files, run optipng -o7 on each file to optimize them. See http://optipng.sourceforge.net/. I've done it here in PS4.

mm, I already did that.

Dereckson added a comment.EditedApr 17 2016, 12:14 AM

Maybe you forgot to do it on the second version without the dot? Maybe you used optipng with another flag?

We see 15% decrease above. If I do it again, it says it's already optimized:

$ git checkout review/urbanecm/T132792
Switched to branch 'review/urbanecm/T132792'
Your branch is ahead of 'gerrit/master' by 1 commit.
  (use "git push" to publish your local commits)
$ optipng -o7 static/images/project-logos/dewiki-2x.png
** Processing: static/images/project-logos/dewiki-2x.png
270x310 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 46145 bytes
Input file size = 46276 bytes

Trying:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 46145
                               
static/images/project-logos/dewiki-2x.png is already optimized.

I just checked my shell-log:

15:22:25dab@dabpc:/tmp$ optipng -o7 dewiki-2x.png 
** Processing: dewiki-2x.png
270x310 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 54341 bytes
Input file size = 54544 bytes

Trying:                                                                                                                                                    
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 46245                                                                                                  
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 46145                                                                                                  
                                                                                                                                                           
Selecting parameters:                                                                                                                                      
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 46145                                                                                                  
                                                                                                                                                           
Output IDAT size = 46145 bytes (8196 bytes decrease)                                                                                                       
Output file size = 46276 bytes (8268 bytes = 15.16% decrease)

The only problem could be that I uploaded the files 2 times: First time without optipng and second time with; but the un-optimized version was only visible for 5 minutes.
But in the end it doesn’t matter of course, as long as the optimized files are used :-)

Change 283682 merged by jenkins-bot:
Add HD versions of logo for dewiki

https://gerrit.wikimedia.org/r/283682

Mentioned in SAL [2016-04-25T15:55:26Z] <jzerebecki@tin> Synchronized static/images/project-logos/dewiki-1.5x.png: config 0d0d7acf79891ad36d48cd30887bb2299d43f264 T132792 1 of 3 : Add HD versions of logo for dewiki (duration: 00m 25s)

Mentioned in SAL [2016-04-25T15:56:27Z] <jzerebecki@tin> Synchronized static/images/project-logos/dewiki-2x.png: config 0d0d7acf79891ad36d48cd30887bb2299d43f264 T132792 2 of 3 : Add HD versions of logo for dewiki (duration: 00m 25s)

Mentioned in SAL [2016-04-25T15:57:59Z] <jzerebecki@tin> Synchronized wmf-config/InitialiseSettings.php: config 0d0d7acf79891ad36d48cd30887bb2299d43f264 T132792 3 of 3 ; and config 7144b0139c85b565af76a993b38209b4c0989dec T132748 (duration: 00m 25s)

Urbanecm closed this task as Resolved.Apr 25 2016, 4:23 PM
Urbanecm moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Deployed.

Cool, thanks :-).